BizKitHub
DocsAPI ReferenceLedger/bff/ledger/check/run
postLedgerAdmin BFF

/bff/ledger/check/run

Run the integrity check or the monthly check now

LedgerpostBffLedgerCheckRun

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
kind"integrity" | "monthly"Required
monthstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
idstringRequired
statusstringRequired
errorCountnumberRequired
warningCountnumberRequired

Response example

application/json
{
  "success": false,
  "id": "example_id",
  "status": "example_status",
  "errorCount": 0,
  "warningCount": 0
}

Request example

POST /bff/ledger/check/run

post
curl -X POST "https://api.bizkithub.com/bff/ledger/check/run" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key